#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global wayland_min_version 1.4
%global debug_package %{nil}

%define rel 1

Name:           plasma-wayland-protocols
Version:        1.18.0
Release:        %mkrel %{rel}
Summary:        Plasma Specific Protocols for Wayland
Group:          Graphical desktop/KDE
License:        LGPLv2+ and MIT and BSD
URL:            https://invent.kde.org/libraries/plasma-wayland-protocols
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt5Core)

%description
This package contains the non-standard Wayland protocol definitions used by
KDE Plasma.

%files
%license COPYING.LIB
%{_kf6_datadir}/plasma-wayland-protocols/

#------------------------------------------------------------------------------

%define develname %mklibname plasma-wayland-protocols -d

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%{_kf6_libdir}/cmake/PlasmaWaylandProtocols/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install


%changelog
* Fri May 16 2025 daviddavid <daviddavid> 1.18.0-1.mga10
+ Revision: 2183965
- new version: 1.18.0

* Sat Mar 22 2025 daviddavid <daviddavid> 1.17.0-1.mga10
+ Revision: 2168379
- new version: 1.17.0

* Thu Jan 09 2025 daviddavid <daviddavid> 1.16.0-1.mga10
+ Revision: 2136841
- new version: 1.16.0

* Sat Dec 07 2024 daviddavid <daviddavid> 1.15.0-1.mga10
+ Revision: 2122476
- new version: 1.15.0

* Fri Sep 13 2024 daviddavid <daviddavid> 1.14.0-1.mga10
+ Revision: 2095523
- new version: 1.14.0

* Sat May 25 2024 daviddavid <daviddavid> 1.13.0-1.mga10
+ Revision: 2067452
- new version: 1.13.0

* Thu Dec 14 2023 daviddavid <daviddavid> 1.12.0-1.mga10
+ Revision: 2018086
- new version: 1.12.0

* Tue Dec 05 2023 daviddavid <daviddavid> 1.11.1-1.mga10
+ Revision: 2013472
- new version: 1.11.1

* Wed Nov 08 2023 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 2005253
- new version: 1.11.0

* Mon Jan 23 2023 daviddavid <daviddavid> 1.10.0-1.mga9
+ Revision: 1934944
- new version: 1.10.0

* Fri Sep 30 2022 neoclust <neoclust> 1.9.0-1.mga9
+ Revision: 1893467
- New version 1.9.0

* Sun Sep 11 2022 neoclust <neoclust> 1.8.0-1.mga9
+ Revision: 1886957
- New version  1.8.0

* Tue Jul 26 2022 neoclust <neoclust> 1.7.0-1.mga9
+ Revision: 1871810
- New version 1.7.0

* Mon Apr 04 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1842911
- Mageia 9 Mass Rebuild

* Sun Jan 23 2022 neoclust <neoclust> 1.6.0-1.mga9
+ Revision: 1769500
- New version 1.6.0

* Mon Nov 08 2021 neoclust <neoclust> 1.5.0-1.mga9
+ Revision: 1754786
- New version 1.5.0

* Sun Oct 03 2021 neoclust <neoclust> 1.4.0-1.mga9
+ Revision: 1748856
- New version 1.4.0

* Mon May 03 2021 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1721011
- new version: 1.3.0

* Tue Apr 06 2021 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1713908
- new version: 1.2.1

* Sun Mar 28 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1711473
- new version: 1.2.0

* Fri Jul 31 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1610004
- new version: 1.1.1

* Fri Jul 24 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1608723
- new version: 1.1.0
- fix Url

* Tue May 26 2020 daviddavid <daviddavid> 1.0-1.mga8
+ Revision: 1587687
- initial package plasma-wayland-protocols

